#ifndef __UDS_2ESERVICE_Main_H
#define __UDS_2ESERVICE_Main_H

#include "stdint.h"
#include "UDS_2EService_Filter.h"
#include "UDS_2EService_Internal.h"

void UDS_Service_2E_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_2EService_DID(void);
void UDS_2EService_DID_DFEC(void);
void UDS_2EService_DID_DFED(void);
void UDS_2EService_DID_DFEE(void);
void UDS_2EService_DID_DFEF(void);
void UDS_2EService_DID_F112(void);
void UDS_2EService_DID_F190(void);
void UDS_2EService_DID_F197(void);
void UDS_2EService_DID_F198(void);
void UDS_2EService_DID_F1A2(void);
void UDS_2EService_DID_F110(void);
void UDS_2EService_DID_F101(void);
void UDS_2EService_DID_F102(void);
void UDS_2EService_DID_F100(void);
void UDS_2EService_DID_7101(void);
void UDS_2EService_DID_7102(void);
void UDS_2EService_DID_7103(void);
void UDS_2EService_DID_7104(void);

#endif